> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/utils/gasfeetakerl2.md).

# GasFeeTakerL2

### Description

Helper action to take gas fee from the user's wallet on L2 and send it to the fee recipient.

> **Notes**
>
> If divider is lower the fee is greater, should be max 5 bps.

### Action ID

`0x7ec82077`

### SDK Action

```ts
const gasFeeTakerL2Action = new dfs.actions.basic.GasFeeActionL2(
    gasStart,
    feeToken,
    availableAmount,
    dfsFeeDivider,
    l1GasCostInEth
);
```

### Action Type

`FEE_ACTION`

### Input Parameters

```solidity
    /// @param gasUsed Gas used by the transaction
    /// @param feeToken Address of the token to send
    /// @param availableAmount Amount of tokens available to send
    /// @param dfsFeeDivider Divider for the DFS fee
    /// @param l1GasCostInEth Additional L1 gas cost in Eth
    struct Params {
        uint256 gasUsed;
        address feeToken;
        uint256 availableAmount;
        uint256 dfsFeeDivider;
        uint256 l1GasCostInEth;
    }
```

### Return Value

```solidity
return bytes32(amountLeft);
```

### Events and Logs

```solidity
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/utils/gasfeetakerl2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
